@-webkit-keyframes progress-animation {
  0% {
    width: 0%;
  }
  20% {
    width: 10%;
  }
  40% {
    width: 30%;
  }
  80% {
    width: 60%;
  }
  100% {
    width: 100%;
  }
}
@keyframes progress-animation {
  0% {
    width: 0%;
  }
  20% {
    width: 10%;
  }
  40% {
    width: 30%;
  }
  80% {
    width: 60%;
  }
  100% {
    width: 100%;
  }
}
body {
  font-family: "darkmode-on", sans-serif;
}

::-moz-selection {
  /* Code for Firefox */
  color: #fff;
  background: #b61012;
}

::selection {
  color: #fff;
  background: #EFC953;
}

@media screen and (max-width: 991px) {
  .navbar-default .navbar-collapse.collapse {
    display: block;
    overflow: hidden !important;
    border: 1px solid #fff;
    height: 0 !important;
  }
  .navbar-default .navbar-collapse.collapse.in {
    height: 320px !important;
    border: 1px solid #838ca3;
  }

  .header-navigation .thm-container .navbar-header {
    display: flex;
    flex-direction: row-reverse;
  }

  .header-navigation .thm-container .navbar-brand {
    display: flex;
    margin: auto auto auto 0;
  }
  .header-navigation .thm-container .navbar-brand img {
    width: 100%;
  }
}
.img-box {
  height: 0;
  padding-top: 56.25%;
  position: relative;
}
.img-box img {
  width: 100%;
  position: absolute;
  top: 0;
  max-height: 100%;
  -o-object-fit: cover;
     object-fit: cover;
}

.img-box img {
  max-width: 100%;
}

.welcome-img-box img {
  max-width: 100%;
}

.tab-title h3 {
  word-spacing: 9999999px;
}

.service-tab-box .tab-title ul, .service-tab-box .tab-title li {
  display: flex;
  flex-wrap: wrap;
}
.service-tab-box .tab-title ul a, .service-tab-box .tab-title li a {
  display: flex;
  flex-direction: column;
  justify-content: center;
  width: 100%;
}

.about-section.products .img-box {
  padding-top: 75%;
}

.single-about {
  display: flex;
  flex-direction: column;
  height: 100%;
}
.single-about .text-box {
  display: flex;
  flex-direction: column;
  flex: auto;
}
.single-about .text-box p:first-of-type {
  display: block;
}

.testi-carousel-wrapper .overlay {
  background: #b61012 url("../images/bg.png");
  background-attachment: fixed;
  background-size: cover;
  background-position: center center;
}
.testi-carousel-wrapper .overlay:before {
  background: transparent;
}

.brand-carousel-wrapper {
  background: #b61012 url("../images/bg.png");
  background-attachment: fixed;
}

.breadcumb-wrapper .thm-container {
  max-width: 100%;
}

.breadcumb-wrapper ul.breadcumb {
  padding-right: calc((100vw - 1200px)/2);
  background: #b61012 url("../images/bg.png");
  background-size: cover;
  margin-bottom: 15px;
  box-shadow: 1px 2px 2px rgba(0, 0, 0, 0.7);
}
.breadcumb-wrapper ul.breadcumb:after {
  display: none;
}

.desc-text .sec-title {
  margin-bottom: 0;
  margin-top: 8rem;
  width: 80%;
  margin: 6rem auto 0;
}

.blog-style-one .single-blog-post .text-box:before {
  background: #b61012 url("../images/bg.png");
  background-size: cover;
  background-position: center center;
  background-attachment: fixed;
}

.banner-style-two img, .welcome-img-box img {
  min-width: 100%;
  min-height: 100%;
  -o-object-fit: cover;
     object-fit: cover;
}

.service-style-two .overlay {
  background: #b61012 url("../images/bg.png");
  background-size: cover;
  background-position: center center;
  background-attachment: fixed;
}
.service-style-two .overlay:before {
  background: transparent;
}

.testi-carousel-wrapper .thm-container .single-testimonials .img-box {
  height: 270px;
  padding-top: 0;
}
@media screen and (max-width: 767px) {
  .testi-carousel-wrapper .thm-container .single-testimonials .img-box {
    position: relative;
    margin-bottom: 60px;
  }
}
.testi-carousel-wrapper .thm-container .single-testimonials .text-box h3 p {
  margin: 0;
  color: #fff;
  font-weight: 500;
  font-size: 30px;
  line-height: 50px;
}

@media screen and (max-width: 991px) {
  .banner-style-two .thm-container-fluid {
    display: flex;
  }
  .banner-style-two .thm-container-fluid .owl-stage {
    max-height: 100vh;
    overflow: hidden;
  }
  .banner-style-two .thm-container-fluid .owl-stage .owl-item {
    width: 100vw !important;
    transform: translateX(-4vw);
  }
}

.rosetown a {
  color: #84348D;
}
.rosetown a:hover {
  color: #713692;
}

.rosetown .single-banner-carousel span {
  color: #ffffff;
  font-family: "darkmode-on", sans-serif;
}
.rosetown .thm-btn {
  background: #0e91f6;
  color: #fff;
}
.rosetown .thm-btn:hover {
  background: #713692 !important;
}
.rosetown .blog-style-one .single-blog-post .img-box a {
  color: #fff;
}
.rosetown .blog-style-one .single-blog-post .img-box a:hover {
  background: #0ec5f3 !important;
}
.rosetown .blog-style-one .single-blog-post .img-box a.read-more {
  background-color: #0e91f6;
}
.rosetown .blog-style-one .single-blog-post .img-box a.read-more:hover {
  color: #fff;
}
.rosetown .blog-style-one .single-blog-post .img-box:hover .meta-info {
  background-color: #0ec5f3;
}
.rosetown .blog-style-one .single-blog-post .text-box:before {
  background: #0e91f6;
}
.rosetown .about-section .single-about .text-box a.read-more {
  background-color: #84348D;
}
.rosetown .about-section .single-about .text-box a.read-more:hover {
  background-color: #713692;
  color: #fff;
}
.rosetown .about-section .single-about .text-box:before {
  background: #500778;
}
.rosetown .about-section .single-about .text-box:hover a.read-more {
  color: #fff;
}

/* HEADER */ 
.rosetown .page-title.with-bg h3 {
  background: #500778;
  transform: none;
  padding-left: 70px;
}
.page-title.with-bg h3 {
  display: inline-block;
  padding: 15px 70px;
  color: #fff;  
  padding-left: calc((100vw - 1200px )/2);
  border-top-right-radius: 50px;
  border-bottom-right-radius: 50px;
  box-shadow: 1px 2px 2px rgba(0, 0, 0, 0.8);
}

@media (min-width: 1200px ){
  .rosetown .page-title.with-bg h3 {
    transform: translateX(calc((1200px - 100vw )/2));
  }
}




.breadcumb-wrapper ul.breadcumb li a:hover, .breadcumb-wrapper ul.breadcumb li span {
  color: #84348D;
}

.rosetown .breadcumb-wrapper ul.breadcumb {
  background: #500778;
}
.rosetown .welcome-section .welcome-content .title p {
  color: #500778;
  font-family: "darkmode-on", sans-serif;
}

.rosetown .service-style-two .unique-feature .content i {
  color: #500778;
}

.rosetown .service-style-two .overlay {
  /*background: #500778 url(/assets/rosetown/home_callout_bg.webp) center !important;*/
  background: #500778  center !important;
}
.rosetown .service-style-two .service-content span {
  font-family: "darkmode-on", sans-serif;
  color: #fff !important;
}
.rosetown .testi-carousel-wrapper .overlay {
  background: #500778 !important;
}
.rosetown .sec-title span {
  color: #500778 !important;
  font-family: "darkmode-on", sans-serif;
}
.rosetown .contact-section .title span {
  color: #500778;
  font-family: "darkmode-on", sans-serif;
}
.rosetown .footer .footer-widget .single-post-widget .date {
  color: #0e91f6;
}
.rosetown .footer .footer-widget .single-post-widget .date:hover {
  color: #0ec5f3;
}
.rosetown .footer .footer-widget a {
  color: #84348D;
}
.rosetown .footer .footer-widget a:hover {
  color: #713692;
}
.rosetown .footer .footer-widget.links-widget ul.link-list a:hover {
  color: #84348D;
}
.rosetown .footer .footer-widget.links-widget ul.link-list a:hover:before {
  background: #713692 !important;
}
.rosetown .footer .title img {
  filter: none;
}
.rosetown .thm-btn {
  background: #84348D;
}
.rosetown .scroll-to-top {
  background-color: #84348D;
}
.rosetown .scroll-to-top:hover {
  background-color: #713692;
  color: #fff;
}
.rosetown .preloader .spinner {
  background-color: #500778;
}
.rosetown .navbar-default .navbar-toggle:hover {
  border-color: #84348D;
}
.rosetown .navbar-default .navbar-toggle:hover .icon-bar {
  background-color: #84348D;
}
.rosetown .service-tab-box .tab-title li a:before {
  background-color: #84348D;
}

.rosetown .service-tab-box .tab-title li.active a i, 
.rosetown .service-tab-box .tab-title li.active a h3,
.rosetown .service-tab-box .tab-title li a:hover i{
  color: #fff;
}

.rosetown .service-tab-box .tab-title li a i {
  color: #84348D;
}


/* HEADER NAVIGATION */
.rosetown .header-navigation ul.navigation-box>li>a {
  padding: 1rem 2rem;
}
.rosetown .header-navigation ul.navigation-box>li.active>a {
  background-color: #84348D;
  color: #fff;
} 

.rosetown .header-navigation ul.navigation-box>li.active:hover>a {
  color: #fff;
}

.rosetown .header-navigation ul.navigation-box>li.current>a, 
.rosetown .header-navigation ul.navigation-box>li>a:active, 
.rosetown .header-navigation ul.navigation-box>li>a:focus, 
.rosetown .header-navigation ul.navigation-box>li:hover>a {
  color: #84348D;
}


/* HOMEPAGE */
@media screen and (min-width:992px) {
  .rosetown .sec-pad .service-style-two .thm-container > .row {
    display: flex;
  }
  .rosetown .sec-pad .service-style-two .thm-container > .row > div:first-child{
    padding-bottom: 120px;
  }
  .rosetown .sec-pad .service-style-two .thm-container .hands-container {
    position: relative;
  }
  .rosetown .sec-pad .service-style-two .thm-container .hands-container > .row {
    position: absolute;
    width: 100%;
    bottom: 0;
  } 

}

/* MOBILE MENU */
@media screen and (min-width:320px) and (max-width:1024px) {
  .rosetown .header-navigation ul.navigation-box {
    width: 100%;
  }

  .rosetown .header-navigation ul.navigation-box li {
    width: 100%;
    padding: 0;
    text-align:center;
  }
}



.img-box-wrapper .slides-nav .slick-slide.slick-current .slide {
  background: #0ec5f3 !important;
  border-color: #0ec5f3 !important;
}

.contact-info {
  flex: auto;
}
.contact-info .single-contact-info a p {
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  color: #fff !important;
}

.blog-details-page .single-sidebar.img-sidebar {
  border-top: 1px solid #eaeaea;
}
.blog-details-page .single-sidebar.img-sidebar .text-box h4 {
  margin-top: 15px;
  margin-bottom: 5px;
}
.blog-details-page .single-sidebar.img-sidebar .text-box p {
  overflow: hidden;
  line-height: 24px;
  text-overflow: ellipsis;
  display: -webkit-box;
  height: 48px;
  /* fallback */
  -webkit-line-clamp: 2;
  /* number of lines to show */
  -webkit-box-orient: vertical;
}
.blog-details-page .single-sidebar.img-sidebar .text-box:hover h4, .blog-details-page .single-sidebar.img-sidebar .text-box:hover p {
  color: #b61012;
}

.project-details-page .project-details-content h3, .project-details-page .project-details-content p {
  margin: 15px 0;
}
.project-details-page .project-details-content p {
  font-size: 18px;
}
.project-details-page .img-box-wrapper {
  overflow: hidden;
}
.project-details-page .row.odd {
  display: flex;
  flex-direction: row-reverse;
  margin-bottom: 25px;
}
.project-details-page .row.even {
  margin-bottom: 25px;
}
.project-details-page.prints .project-details-content {
  padding: 25px;
  margin-bottom: 25px;
}

.img-box-wrapper img {
  width: 100%;
  -o-object-fit: cover;
     object-fit: cover;
}
.img-box-wrapper .slides-nav {
  margin-top: 15px;
}
.img-box-wrapper .slides-nav .slick-slide .slide {
  border: 2px solid transparent;
  transition: all 0.2s linear;
}
.img-box-wrapper .slides-nav .slick-slide.slick-current .slide {
  background: #b61012;
  border: 2px solid #b61012;
}
.img-box-wrapper .slides-nav .slick-slide.slick-current img {
  opacity: 0.6;
}
.img-box-wrapper .slides-nav .slick-track {
  display: flex;
}
.img-box-wrapper .slides-nav .slick-track .slide {
  height: auto;
}

.page-title {
  background-size: cover;
  background-repeat: no-repeat;
}
.page-title.with-bg {
  padding: 25vh 0 10vh;
  position: relative;
  background-size: cover;
  background-repeat: no-repeat;
}
.page-title.with-bg .thm-container {
  z-index: 2;
  padding-left: 0;
}

@media screen and (max-width: 991px) {
  .page-title h3 {
    font-size: 48px;
  }
}
@media screen and (max-width: 767px) {
  .page-title h3 {
    font-size: 42px;
  }
}

.team-section .single-team-carousel .inner {
  display: flex;
}
.team-section .single-team-carousel .inner.even {
  flex-direction: row-reverse;
}
.team-section .single-team-carousel .inner.even .img-box {
  left: auto;
  right: 0;
}
.team-section .single-team-carousel .inner.even .team-content {
  padding-left: 67px;
  padding-right: 530px;
}
@media screen and (max-width: 991px) {
  .team-section .single-team-carousel .inner.even .team-content {
    padding-right: 3vw;
    padding-left: 3vw;
  }
}
@media screen and (max-width: 767px) {
  .team-section .single-team-carousel .inner.even {
    flex-direction: column;
  }
}
.team-section .single-team-carousel .inner .img-box {
  width: 40%;
  padding-top: 0;
  height: 85%;
}
@media screen and (max-width: 991px) {
  .team-section .single-team-carousel .inner .img-box {
    position: relative;
    padding-top: 25%;
  }
}
@media screen and (max-width: 767px) {
  .team-section .single-team-carousel .inner .img-box {
    width: 100%;
    padding-top: 56.25%;
  }
}
@media screen and (max-width: 991px) {
  .team-section .single-team-carousel .inner .team-content {
    padding-bottom: 0;
  }
}
@media screen and (max-width: 767px) {
  .team-section .single-team-carousel .inner .team-content .title {
    margin-bottom: 15px;
    margin-top: 15px;
  }
  .team-section .single-team-carousel .inner .team-content .title h3 {
    font-size: 32px;
  }
}
@media screen and (max-width: 767px) {
  .team-section .single-team-carousel .inner {
    flex-direction: column;
  }
}

.finishes .tab-title ul li {
  display: block;
}
.finishes .tab-title ul li:nth-of-type(1n+6) {
  display: none;
}

.finishes-list > .col-md-6:nth-of-type(1n+6) {
  display: block;
}

.finishes-carousel .owl-stage {
  display: flex;
}
.finishes-carousel .owl-stage .item {
  height: 100%;
}
.finishes-carousel .owl-stage .item img {
  opacity: 0.8;
  height: 100%;
  -o-object-fit: cover;
     object-fit: cover;
}

.footer .title img {
  filter: brightness(0) invert(1);
}

.right-side-box .social a:nth-child(1), .footer-bottom .thm-container .social-box a:nth-child(1), .contact-info .single-contact-info .social a:nth-child(1) {
  background: #84348D;
}
.right-side-box .social a:nth-child(2), .footer-bottom .thm-container .social-box a:nth-child(2), .contact-info .single-contact-info .social a:nth-child(2) {
  background: #212121;
}
.right-side-box .social a:nth-child(3), .footer-bottom .thm-container .social-box a:nth-child(3), .contact-info .single-contact-info .social a:nth-child(3) {
  background: #2884c6;
}
.right-side-box .social a:nth-child(4), .footer-bottom .thm-container .social-box a:nth-child(4), .contact-info .single-contact-info .social a:nth-child(4) {
  background: #b61012;
}

@media screen and (max-width: 991px) {
  .sec-title h3 {
    font-size: 48px;
  }
}
@media screen and (max-width: 767px) {
  .sec-title h3 {
    font-size: 32px;
  }
}

@media screen and (max-width: 991px) {
  .contact-row {
    display: block !important;
  }
}

.modal-dialog {
  width: 100%;
  height: 100%;
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
}
.modal-dialog .modal-content {
  height: auto;
  flex: 0 0 40%;
}
.modal-dialog .modal-content form {
  padding: 10px 25px;
}
.modal-dialog .modal-content input, .modal-dialog .modal-content textarea {
  background: #efefef;
  color: #000;
}

#my-form .fas {
  display: none;
}
#my-form .fa-check {
  display: none;
}
#my-form .alert {
  display: none;
}

.contact-form .fui-alert-success,
.contact-form .fui-error-message {
  font-size: 1.5rem;
  line-height: 1.5;
}
.contact-form button,
#my-form button {
  display: flex;
  border: none;
  outline: none;
  height: 68px;
  border-radius: 35px;
  font-size: 16px;
  padding-left: 50px;
  padding-right: 50px;
  margin-bottom: 20px;
  justify-content: center;
  align-items: center;
}
#my-form button i {
  margin: auto 10px auto 0;
}
#my-form button.danger {
  background: rgba(255, 0, 0, 0.5);
}
#my-form button.success {
  background: rgba(0, 255, 0, 0.5);
}

.thm-btn {
  background: #84348D;
}